import request from '@/utils/request'

// 查询报警总数
export function count(query) {
  return request({
    url: '/system/display/count',
    method: 'get',
    params: query
  })
}
// 查询告警记录
export function list(data) {
  return request({
    url: '/system/display/list',
    method: 'get',
    params: data
  })
}
// 查询报警处理数量
export function alarm(query) {
  return request({
    url: '/system/display/alarm',
    method: 'get',
    params: query
  })
}

// 查询报警百分比
export function percent(query) {
  return request({
    url: '/system/display/percent',
    method: 'get',
    params: query
  })
}
// 查询定位信息
export function alarmList(query) {
  return request({
    url: '/system/display/alarmList',
    method: 'get',
    params: query
  })
}
